/* Sweep
 by BARRAGAN <http://barraganstudio.com>
 This example code is in the public domain.

 modified 8 Nov 2013
 by Scott Fitzgerald
 http://www.arduino.cc/en/Tutorial/Sweep
*/

#include <Servo.h>

Servo myservo;  // create servo object to control a servo
// twelve servo objects can be created on most boards

#define	POS_MIN			544
#define	POS_MAX			2400
#define POS_CENTER	(POS_MAX - POS_MIN)

#define	GRANULARITA	1
#define	SPOMALENIE	10

int pos = 0;    // variable to store the servo position
int led_Z = 12;
int tlacitko_Volno = 10;
int led_C = 8;
int tlacitko_Stuj = 6;
int cteni = 0;
int cteni2 = LOW;

bool  Aktual_TL_Stuj;
bool  Aktual_TL_Volno;
bool  Minuly_TL_Stuj = 0;
bool  Minuly_TL_Volno = 0;



void setup() {
myservo.attach(4,POS_MIN,POS_MAX);  // attaches the servo on pin 9 to the servo object
pinMode(led_Z, OUTPUT);
pinMode(tlacitko_Volno, INPUT);
pinMode(led_C, OUTPUT);
pinMode(tlacitko_Stuj, INPUT);
digitalWrite(led_C, HIGH);

 for (pos=POS_MAX ; pos >= POS_MIN; pos -= GRANULARITA) { // goes from MAX to MIN position
         myservo.writeMicroseconds(pos);  // tell servo to go to position in variable 'pos'
         delay(SPOMALENIE);              	// waits SPOMALENIE (ms) for the servo to reach the position
         }
}

void loop() {

Aktual_TL_Volno = digitalRead(tlacitko_Volno);   // nacteni aktualniho stavu tlacitka
Aktual_TL_Stuj = digitalRead(tlacitko_Stuj);   // nacteni aktualniho stavu tlacitka  
 
  
//Aktual_TL_Volno = digitalRead(tlacitko_Volno);   // nacteni aktualniho stavu tlacitka
//Aktual_TL_Stuj = digitalRead(tlacitko_Stuj);   // nacteni aktualniho stavu tlacitka  

if(Aktual_TL_Stuj == 1 && Minuly_TL_Stuj == 0)    // je-li ted stisknuto tlacitko 
  {                                           // a zaroven predtim nebylo 
    digitalWrite(led_C, HIGH); // zmen hodnotu vystupu
    digitalWrite(led_Z, LOW); // zmen hodnotu vystupu
         for (pos = POS_MAX; pos >= POS_MIN; pos -= GRANULARITA) { // goes from MAX to MIN position
         myservo.writeMicroseconds(pos);  // tell servo to go to position in variable 'pos'
         delay(SPOMALENIE);               // waits SPOMALENIE (ms) for the servo to reach the position
         }
  }

if(Aktual_TL_Volno == 1 && Minuly_TL_Volno == 0)    // je-li ted stisknuto tlacitko 
  {                                           			// a zaroven predtim nebylo 
    digitalWrite(led_Z, HIGH); // zmen hodnotu vystupu
    digitalWrite(led_C, LOW); // zmen hodnotu vystupu
        for (pos = POS_MIN; pos <= POS_CENTER; pos += GRANULARITA) { // goes from MIN to CENTER position
        // in steps of GRANULARITA
        myservo.writeMicroseconds(pos);          // tell servo to go to position in variable 'pos'
        delay(SPOMALENIE);                       // waits SPOMALENIE (ms) for the servo to reach the position
        }
        delay(2000);//počkej 2000ms
        for (pos = POS_CENTER; pos <= POS_MAX; pos += GRANULARITA) { // goes from CENTER to MAX position
        // in steps of GRANULARITA
        myservo.writeMicroseconds(pos);          // tell servo to go to position in variable 'pos'
        delay(SPOMALENIE);                       // waits SPOMALENIE (ms) for the servo to reach the position
        }
   }
}



  
